LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::FocusChangeReason Constant Group Referencepublished

A combination of these values can be used to specify the reason for a focus change. More...

## Variables
const long | TAB = 1
| Focus changed because TAB was pressed. More...
const long | CURSOR = 2
| Focus changed because Key Left/Right/Up/Down was pressed. More...
const long | MNEMONIC = 4
| Focus changed because mnemonic key was pressed. More...
const long | FORWARD = 16
| Changed Focus to the next control. More...
const long | BACKWARD = 32
| Changed Focus to the previous control. More...
const long | AROUND = 64
| Changed Focus forward from last to first or backward from first to last. More...
const long | UNIQUEMNEMONIC = 256
| Focus changed because mnemonic key was pressed and this mnemonic is unique. More...

## Detailed Description

A combination of these values can be used to specify the reason for a focus change.

## Variable Documentation

## ◆ AROUND

const long AROUND = 64

Changed Focus forward from last to first or backward from first to last.

## ◆ BACKWARD

const long BACKWARD = 32

Changed Focus to the previous control.

## ◆ CURSOR

const long CURSOR = 2

Focus changed because Key Left/Right/Up/Down was pressed.

## ◆ FORWARD

const long FORWARD = 16

Changed Focus to the next control.

## ◆ MNEMONIC

const long MNEMONIC = 4

Focus changed because mnemonic key was pressed.

## ◆ TAB

const long TAB = 1

Focus changed because TAB was pressed.

## ◆ UNIQUEMNEMONIC

const long UNIQUEMNEMONIC = 256

Focus changed because mnemonic key was pressed and this mnemonic is unique.